REM
REM
REM

  SH$ = "BU10L10D20R20U20L10"
  SP = 5
  RL = 640
  DL = 400
  HCENT = (RL / 2)
  VCENT = (DL / 2)

DIM STARZ(800, 4)


SCREEN 12
DO

KE$ = INKEY$


Z = Z + 1: IF Z > 800 THEN Z = 0

H = STARZ(Z, 0)
V = STARZ(Z, 1)

  CIRCLE (H, V), 10, 0



  IF H < (HCENT) THEN H = H - 1: IF H > (RL) THEN H = INT(RND(1) * (RL)) + 1: V = INT(RND(1) * (DL)) + 1
  IF H > (HCENT) THEN H = H + 1: IF H < 1 THEN H = INT(RND(1) * (RL)) + 1: V = INT(RND(1) * (DL)) + 1

  IF V < (VCENT) THEN V = V - 1: IF V < 1 THEN H = INT(RND(1) * (RL)) + 1: V = INT(RND(1) * (DL)) + 1
  IF V > (VCENT) THEN V = V + 1: IF V > (DL) THEN H = INT(RND(1) * (RL)) + 1: V = INT(RND(1) * (DL)) + 1


   CIRCLE (H, V), 10, 7



 STARZ(Z, 0) = H
 STARZ(Z, 1) = V






LOOP UNTIL KE$ = CHR$(27)

